## ros-foxy-gazebo-plugins 3.5.3

=== debian/changelog ===
ros-foxy-gazebo-plugins (3.5.3-1focal) focal; urgency=high

  * Make p3d offset element names singular (#1210 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1210>)
    * Make p3d offset element names singular
    - <xyz_offsets> is renamed to <xyz_offset>
    - <rpy_offsets> is renamed to <rpy_offsets>
    The old names can still be used, but are deprecated.
    This is more consistent with the naming convention used in ROS 1 versions.
    * Add test for deprecated functionality
  * colcon.pkg: build gazebo first in colcon workspace (#1192 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1192>)
    Add a colcon.pkg file to gazebo_dev with gazebo's cmake project
    name "Gazebo" listed as a dependency to support building
    gazebo from source in a colcon workspace.
    * Add colcon.pkg files for other packages
    Copy colcon.pkg to gazebo_ros, gazebo_plugins, and
    gazebo_ros_control so that --merge-install won't be required.
  * publish with QoS reliable as default (#1224 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1224>)
    * default to reliable publishers
  * adding buffer to gzebo ros hand of god plugin (#1179 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1179>)
    Fixes #1178 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1178>.
  * [gazebo_plugins] address warnings (#1151 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1151>)
    * use .c_str() for variadic template
    * silence warnings
    Co-authored-by: Steve Peters <mailto:scpeters@openrobotics.org>
  * Port wheel slip plugin to ros2 (forward port from eloquent) (#1148 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1148>)
    Forward port of wheel slip plugin from eloquent (#1099 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1099>)
    to foxy.
    It includes a similar change to #1111 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1111>, which moved the
    WheelSlipPlugin::Load call before the parameter callback
    so that the values from SDF/URDF are set first.
    Then the callback is changed to ignore negative values, and the
    default slip parameter values are set to -1, so that the SDF/URDF
    values are still preferred unless a different parameter value
    is specified in a launch file.
    Co-authored-by: Jacob Perron <jacob@openrobotics.org>
  * Added ignition common profiler to ros2 (#1141 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1141>)
    * Added ignition common profiler to ros2
    * Make linters happy
    * minor fixes
    * Removed warning: handler for the param change callback
  * Contributors: Alejandro Hernández Cordero, Brett Downing, Jacob Perron, Karsten Knese, Steve Macenski, Steve Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 14 Apr 2021 22:00:00 -0000

ros-foxy-gazebo-plugins (3.5.0-1focal) focal; urgency=high

  * Merge pull request #1130 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1130> from ros-simulation/foxy_tests
    Fix all Foxy tests
  * Merge pull request #1129 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1129> from ros-simulation/e_to_f_june_2020
    Eloquent ➡️ Foxy
  * Apply acceleration until both left and right reach targetspeed (#1009 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1009>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * use target include directories (#1040 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1040>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Dashing -> Eloquent
  * [forward port] Image publishers use SensorDataQoSProfile (#1031 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1031>) (#1052 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1052>)
    All other sensor publishers were updated previously to use the same profile (#926 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/926>).
    I'm not sure if the image publishers were overlooked or the image_transport API didn't
    support setting the QoS profile at the time.
  * Fix cppcheck errors (#1123 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1123>)
    cppcheck 1.90 complains about syntax errors even though it is valid C++ code.
    This refactoring fixes the reported errors.
  * Replace deprecated parameters callback API (#1121 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1121>)
    rclcpp::Node now supports multiple parameter callbacks, so we do not need to worry about overwriting an existing callback.
    This change fixes compile time deprecation warnings since ROS Foxy.
  * Replace deprecated image_common headers (#1122 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1122>)
    This fixes compile-time deprecation warnings.
  * Measure IMU orientation with respect to world (ros2) (#1064 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1064>)
    * Measure IMU orientation with respect to world (#1058 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1058>)
    Report the IMU orientation from the sensor plugin with respect to the world frame.
    This complies with convention documented in REP 145: https://www.ros.org/reps/rep-0145.html
    In order to not break existing behavior, users should opt-in by adding a new SDF tag.
    Co-authored-by: Jacob Perron <mailto:jacob@openrobotics.org>
    * IMU sensor: comply with REP 145 by default
    Change default value of initial_orientation_as_reference to false
    and print deprecation warning if user explicitly sets it to true.
    Co-authored-by: Jacob Perron <mailto:jacob@openrobotics.org>
  * Make QoS for publishers and subscriptions configurable  (#1092 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1092>)
    * Make QoS for publishers and subscriptions configurable
    Whenever a plugin creates a ROS publisher or subscription, use the QoS profile provided by the node for the given topic.

